module Chervil
  RSpec.describe Parser do
    def parse(source)
      lexer = Lexer.new(source)
      parser = Parser.new(lexer)
      parser.parse
    end

    it 'parses a number' do
      expect(parse("1").first).to eq(AST::Number.new(1.0))
    end
  end
end
